Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: event::Engine::Condition Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
event::Engine::Condition Struct Reference

Condition is a logical combination of multiple events. More...

## Public Types
enum | Op { AND , OR , XOR }
| logical operation to be applied over all conditions and event More...
enum | MatchType { ASSERTED , DEASSERTED , BOTH }
| the match type how to match the event assertion state More...

## Public Attributes
boolean | negate
| Negate the result.
Op | operation
| Logical operation to be applied.
MatchType | matchType
| Match type.
vector< string > | eventId
| Event ID.
vector< Condition > | conditions
| List of subordinate conditions.

## Detailed Description

Condition is a logical combination of multiple events.

Normally you should use STATE events in logical conditions. In case a TRIGGER event is part of a condition or logical operation it will per default be interpreted as deasserted. The TRIGGER will evaluate as asserted if that exact event was raised and is matched against the event rules. In some sense the 'assertion state' of the TRIGGER is true only at the moment the Event exists and set to false again once it passed.

Definition at line 210 of file EventEngine.idl.

## Member Enumeration Documentation

## ◆ MatchType

enum event::Engine::Condition::MatchType

the match type how to match the event assertion state

Enumerator
ASSERTED | Match if the event is asserted.
DEASSERTED | Match if the event is deasserted.
BOTH | Match both (for trigger events)

Definition at line 220 of file EventEngine.idl.

## ◆ Op

enum event::Engine::Condition::Op

logical operation to be applied over all conditions and event

Enumerator
AND | Logical And.
OR | Logical Or.
XOR | Exclusive Or.

Definition at line 213 of file EventEngine.idl.

## Member Data Documentation

## ◆ conditions

vector<Condition> event::Engine::Condition::conditions

List of subordinate conditions.

Definition at line 230 of file EventEngine.idl.

## ◆ eventId

vector<string> event::Engine::Condition::eventId

Event ID.

Definition at line 229 of file EventEngine.idl.

## ◆ matchType

MatchType event::Engine::Condition::matchType

Match type.

Definition at line 228 of file EventEngine.idl.

## ◆ negate

boolean event::Engine::Condition::negate

Negate the result.

Definition at line 226 of file EventEngine.idl.

## ◆ operation

Op event::Engine::Condition::operation

Logical operation to be applied.

Definition at line 227 of file EventEngine.idl.

The documentation for this struct was generated from the following file:

- EventEngine.idl